$ontext
Copyright (C)   2005 Shiro Takeda
Time-stamp: 	<2005-08-04 17:08:56 Shiro Takeda>
$Id: elasticity_parameters.gms,v 1.1 2005/08/04 08:21:38 st Exp $
version:
Author: 	Shiro Takeda <zbc08106@park.zero.ad.jp>
e-mail:		<zbc08106@park.zero.ad.jp>
First-written:	<2005/07/11>
$offtext

*	------------------------------------------------------------------
*	Define elasticity parameters.
display "com: Define elasticity parameters";

*	NB: EOS means elasticity of substitution, EOT means elasticity of
*	transformation.
parameter
    eta	    EOT: export and domestic supply		/ 4 /
    sigpfe  EOS: Primary factor and energy		/ 0.5 /
    sigpf   EOS: Primary factor
    sigee   EOS: energy input				/ 0.5 /
    siga    Armington elasticity
    sigu    EOS: Intertemporal elasticity		/ %sigu% /
    sigcl   EOS: consumption and leisure
    sigcc   EOS: energy vs non-energy consumption	/ 0.3 /
    sigc    EOS: non-energy consumption goods		/ 1 /
    sigec   EOS: energy consumption goods		/ 2 /
    eols    Uncompensated elasticity of labor supply	/ %eols% /
;

sigee = c_sige * sigee;
sigec = c_sige * sigec;

display eta, sigpfe, sigee, sigu, sigcc, sigc, sigec;

$ontext
The values of Armington elasticity (elasticity of substitution between
domestic good and import) and elasticity of substitution between primary
factors are taken from GTAP version 5 data.

Uncompensated elasticity of labor supply (eols) is taken from Bessho, Akai,
and Hayashi (2003).
$offtext

$ontext
The values of Armington elasticity (elasticity of substitution between
domestic good and import) and elasticity of substitution between value added
are taken from GTAP version 5 data.
$offtext
siga("agr") = 2.2;
siga("omi") = 2.8;
siga("lim") = 2.8;
siga("coc") = 2.8;
siga("sla") = 2.8;
siga("cru") = 2.8;
siga("nat") = 2.8;
siga("foo") = 2.2;
siga("tet") = 2.2;
siga("ppp") = 1.8;
siga("chm") = 1.9;
siga("pet") = 1.9;
siga("opp") = 1.9;
siga("cok") = 1.9;
siga("csc") = 1.9;
siga("iam") = 2.8;
siga("mac") = 2.8;
siga("oip") = 2.8;
siga("con") = 1.9;
siga("ele") = 2.8;
siga("gas") = 2.8;
siga("sww") = 2.8;
siga("com") = 1.9;
siga("res") = 1.9;
siga("tcb") = 1.9;
siga("pub") = 1.9;
siga("ser") = 1.9;
siga(i) = c_siga * siga(i);
display siga;

sigpf("agr") = 0.237;
sigpf("omi") = 0.2;
sigpf("lim") = 0.2;
sigpf("coc") = 0.2;
sigpf("sla") = 0.2;
sigpf("cru") = 0.2;
sigpf("nat") = 0.2;
sigpf("foo") = 0.237;
sigpf("tet") = 1.26;
sigpf("ppp") = 1.26;
sigpf("chm") = 1.26;
sigpf("pet") = 1.26;
sigpf("opp") = 1.26;
sigpf("cok") = 1.26;
sigpf("csc") = 1.26;
sigpf("iam") = 1.26;
sigpf("mac") = 1.26;
sigpf("oip") = 1.26;
sigpf("con") = 1.4;
sigpf("ele") = 1.26;
sigpf("gas") = 1.26;
sigpf("sww") = 1.26;
sigpf("com") = 1.68;
sigpf("res") = 1.26;
sigpf("tcb") = 1.26;
sigpf("pub") = 1.26;
sigpf("ser") = 1.26;
display sigpf;

* --------------------
* Local Variables:
* mode: gams
* fill-column: 78
* End:
