@echo off

: $Id: run_model.bat,v 1.2 2005/08/04 10:08:26 st Exp $

: This is a program for the simulation in Shiro Takeda (2005) "The Double
: Dividend from Carbon Regulations in Japan".

: http://park.zero.ad.jp/~zbc08106/research/double_dividend/double_dividend.html
: Shiro Takeda <zbc08106@park.zero.ad.jp>


: The program calculates welfare effects of carbon regulation (Table 8).


echo.
echo    First, this program calibrates the baseline equilibrium.
echo    But if calibration of the baseline equilibrium is already done
echo    (and therefore there exists calibrated_bau_base_100.gms file),
echo    calibration is skipped.
echo.
echo    If you want to do calibration again, delete calibrated_bau_base_100.gms.
echo.
echo    After the baseline calibration,
echo    welfare effects of carbon regulations are calculated.
echo    This will take much time (it takes about an hour in my PC with
echo    Athlon64 3200+ processor).
echo    Moreover, this will create several files with large size
echo    (total size of all output files will reach about 100MB).
echo.
echo    The results will be stored in the file "welfare_effects.txt".
echo.
pause

if exist calibrated_bau_base_100.gms goto cend

echo.
echo    Start calibration of the baseline equilibrium
echo    and calculate welfare effects of carbon regulations.
echo.
pause
call run_bau_calibration

goto reg

:cend
echo.
echo    The file "calibrated_bau_base_100.gms" already exists.
echo    So, calibration is skipped.
echo.
echo    Start calculation of welfare effects.
echo.
: pause
goto reg

:reg
call run_emi_reg


