$title  Set definitions for dynamic_mcp.gms
$ontext
$Id: set_definition.gms,v 1.1 2005/08/04 08:21:36 st Exp $
Copyright (C)   2003 Shiro Takeda
Time-stamp: 	<2004-02-28 21:02:09 Shiro Takeda>
Author: 	Shiro Takeda <zbc08106@park.zero.ad.jp>
e-mail:		<zbc08106@park.zero.ad.jp>
First-written:	<2003/05/17>
$offtext

*	----------------------------------------------------------------------
*	Set definitions
set i	Sector and good index (27 sectors and goods) /
    agr		"Agriculture, forestry and fishery"
    omi		Other minings
    lim		Limestone (Materials for ceramics)
    coc		Coking coal
    sla		"Steam coal, lignite and anthracite"
    cru		Crude petroleum
    nat		Natural gas
    foo		Foods
    tet		Textile products
    ppp		"Pulp, paper and wooden products"

    chm		Chemical products
    pet		Petroleum refinery products
    opp		Other petroleum products (naptha and others)
    cok		Coke (Coal products)
    csc		"Ceramic, stone and clay products"
    iam		Iron and metal
    mac		Machinery
    oip		"Other industrial products"
    con		Construction
    ele		Electricity

    gas		Gas supply
    sww		"Steam, and hot water supply, water supply"
    com		Commerce
    res		Real estate
    tcb		"Transport, communication and broadcasting"
    pub		Public administration
    ser		Services
    /;
alias (i,ii);
display i,ii;

set e(i) Emission sources /
    coc		Coking coal
    sla		"Steam coal, lignite and anthracite"
    cok		Coke
    cru		Crude oil
    pet		Petroleum refinery products
    nat		LNG and Natural gas
    gas		Gas supply
    lim		Limestone /;
alias (e,ee)
display e;

set o(i) 	Non-energy good index
    / agr, omi, foo, tet, ppp, chm, opp, csc, iam,
      mac, oip, con, ele, sww, com, res, tcb, pub, ser /;

set ec(i)	Energy goods (exc. electricity)
    		/ coc, sla, cru, pet, nat, gas /
    cl(i)	Coke and limestone		/ cok, lim /
    ele(i)	Electricity			/ ele /
    en(i)	Energy goods
    nen(i)	Non-energy goods
    nene(i)	Non-energy goods (exc. lim and cok)
    ene(i)	Energy goods (inc. cok and lim)
;
en(i) = yes$(e(i) or ele(i));
nen(i) = yes$(not en(i));
ene(i) = yes$(ec(i) or ele(i));
nene(i) = yes$(not ene(i));
display ec, cl, ele, en, ene, nen, nene;

set es(i) Souces of emissions (exc. limestone) /
    coc		Coking coal
    sla		"Steam coal, lignite and anthracite"
    cok		Coke
    cru		Crude oil
    pet		Petroleum refinery products
    nat		LNG and  Natural gas
    gas		Gas supply /;
display es;

set ai	Aggregated sector index for data representation (16 sectors) /
    agr		"Agriculture, forestry and fishery"
    min		Minings
    foo		Foods
    tet		Textile products
    ppp		"Pulp, paper and wooden products"
    chm		Chemical products
    pac		Petroleum and coal products
    csc		"Ceramic, stone and clay products"
    iam		Iron and metal
    mao		Machinery and other industrial products

    cre		Construction and real estate
    ele		Electricity
    gsw		"Gas, heat, water supply and waste disposal"
    com		Commerce
    tcb		"Transport, communication and broadcasting"
    ser		Services /

    map_ai(i,ai)	Mapping set /
    agr.agr
    omi.min
    lim.min
    coc.min
    sla.min
    cru.min
    nat.min
    foo.foo
    tet.tet
    ppp.ppp
    chm.chm
    pet.pac
    opp.pac
    cok.pac
    csc.csc
    iam.iam
    mac.mao
    oip.mao
    con.cre
    ele.ele
    gas.gsw
    sww.gsw
    com.com
    res.ser
    tcb.tcb
    pub.ser
    ser.ser
    /;

set  ae Souces of emissions (aggregated)
     /
     coc	Coal
     pet	Petroleum
     gas	Gas
     lim	Limestone /

     map_ae(e,ae) /
     coc.coc
     sla.coc
     cok.coc
     cru.pet
     pet.pet
     nat.gas
     gas.gas
     lim.lim /;

set eig(i)	Emission intensive goods
    / csc, iam, tcb, chm, agr /
    neig(i)	Emission non-intensive goods
    / foo, ser, con, com, mac, res /;
display eig, neig;


* --------------------
* Local Variables:
* mode: gams
* fill-column: 78
* End:
